This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 844757 - improve object storage logging
improve object storage logging
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thiago da Silva
David J. Mac Donald
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 12:26 EDT by Raghavendra Bhat
Modified: 2014-12-14 14:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-07-31 12:26:32 EDT
Description of problem:

The logging of UFO should be improved. It has to log the information such as when it got a request and the time at which the reply corresponding to that request came.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Portante 2012-11-19 16:26:43 EST
Not sure we need to do anything for this, as it already logs how long the request took (so the start time can be calculated from that).

However, we might want to track the following upstream request which would improve logging so that users can follow easier what part of the system initiated a given request:

  https://review.openstack.org/16233
Comment 3 crisbud@redhat.com 2014-01-27 01:55:59 EST
Raghavendra can you please confirm if you are ok with new improved logging mechanism merged with latest of openstack-swift ? The above said patch is merged. 

Marking this as ON_QA. Adding QA_Contach as Pushpesh as there was none initially.
Comment 4 crisbud@redhat.com 2014-01-27 01:56:50 EST
Or Not sure if this needs to assigned back to Raghavendra Bhat ? Please correct me if you think otherwise.
Comment 5 pushpesh sharma 2014-01-27 02:29:26 EST
Enabling proxy-logging filter with appropriate level(WARN/INFO/DEBUG) , makes this kind of information available in logs.Please raise a RFE if you still feel this does not satisfy the requirement. Marking this as Verified.
Comment 9 Niels de Vos 2014-11-27 09:53:45 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.